Subject: Re: bug#6694: 24.0.50; mouse-yank-primary tries to yank a *buffer*

From: David De La Harpe Golden <[email-masked]>
Date: Thu, 22 Jul 2010 21:40:11 +0100

On 21/07/10 18:49, Drew Adams wrote:
> I click mouse-1 at the left of some text and then mouse-3 at the right
> of it, to select it (a Lisp symbol).  Then I try to yank it using
> `mouse-2':
>
> Debugger entered--Lisp error: (wrong-type-argument char-or-string-p #<buffer
> throw-x-at-pt.el>)

Ah, this would be a genuine bug, then.

What's happening here is that w32's internal emulation of a primary is 
incomplete - relatively recently, it became valid on canonical x11 emacs 
to  set selection to a buffer (or a cons of markers), with the meaning 
the selection is (lazily) the string between the point and mark of the 
buffer (or the markers).

w32's fake selection handling needs update to include this possibility.

(It needs this update regardless of changes to the defaults, the 
defaults have just successfully thrown a spotlight on the breakage).